Centos 7 GLIBC_2.18 not found 问题解决

格物致知 at 
0. 概述在 CentOS 中,经常我们运行一些软件(尤其是重新自己编译过 GCC 之后)会出现因为 GLIBC 版本问题无法运行的情况,于是乎就需要自行编译解决,本文就提供一个示例如何编译解决。 1. 问题确认如果向确认一下自己的环境是否真的没有这个 GLIBC 版本,那么可以这么看一下:[root@liqiang.io]# strings /usr/lib64/libc.so.6 | grep GLIBC_2.1GLIBC_2.10GLIBC_2.11GLIBC_2.12GLIBC_2.13GLIBC_2.14GLIBC_2.15GLIBC_2.16... ...如果自己重新编译了 GLI……